<?php

namespace Webkul\DamBundle\Entity;

use Webkul\DamBundle\Model\AssetCategoryTranslationInterface;

/**
 * AssetCategoryTranslation
 */
class AssetCategoryTranslation extends \AbstractTranslation implements AssetCategoryTranslationInterface
{
    /**
     * @var integer
     */
    protected $id;

    /**
     * @var string
     */
    protected $label;

    /**
     * @var string
     */
    protected $locale;

    /**
     * @var \Pim\Bundle\CatalogBundle\Entity\Category
     */
    protected $foreignKey;


    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set label
     *
     * @param string $label
     *
     * @return AssetCategoryTranslation
     */
    public function setLabel($label)
    {
        $this->label = $label;

        return $this;
    }

    /**
     * Get label
     *
     * @return string
     */
    public function getLabel()
    {
        return $this->label;
    }

    /**
     * Set locale
     *
     * @param string $locale
     *
     * @return AssetCategoryTranslation
     */
    public function setLocale($locale)
    {
        $this->locale = $locale;

        return $this;
    }

    /**
     * Get locale
     *
     * @return string
     */
    public function getLocale()
    {
        return $this->locale;
    }
}
